This API allows getting any kind of sellable items or specific item.
- Get current user's daily rewards
Shop Builder API (2.0.0)
- Version: 2.0.0
- Servers:
https://store.xsolla.com/api - Contact Us by Email
- Contact URL: https://xsolla.com/
- Required TLS version: 1.2
Shop Builder API provides a third-party solution for implementing the server side for your store interface. Use the endpoints to manage in-game items, in-game currencies, cart, player inventory, promotions, game library, etc.
Personalized catalog
This API allows to specify rules for user attributes. If the user meets all conditions for a concrete rule, personalized items will be shown.
For personalized promotions see Promotions section.
To pass attributes before a purchase, you can use Xsolla Login API or pass them into user.attributes property while generating token using Pay Station API.
Request
Client endpoint. Gets the current user's daily rewards.
A method returns a paginated list of items. The maximum and default value is 50 items per response. To get more items from the list, use the `limit` and `offset` parameters and fetch more pages. For example, when calling a method with `limit = 25` and `offset = 100`, the response returns 25 items starting from the 101st item in the overall list.
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
- Mock serverhttps://xsolla.redocly.app/_mock/api/shop-builder/v2/project/{project_id}/user/daily_chain
- https://store.xsolla.com/api/v2/project/{project_id}/user/daily_chain
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/44056/user/daily_chain?limit=50&offset=0' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "has_more": false, "total_items_count": 3, "items": [ { … }, { … }, { … }, { … } ] }
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
- Mock serverhttps://xsolla.redocly.app/_mock/api/shop-builder/v2/project/{project_id}/user/daily_chain/{daily_chain_id}
- https://store.xsolla.com/api/v2/project/{project_id}/user/daily_chain/{daily_chain_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/44056/user/daily_chain/101 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'The user’s daily reward was successfully retrieved.
Daily reward type that determines when users can claim rewards.
| Enum Value | Description |
|---|---|
| calendar_hard | Unlocks the next step reward every 24 hours. Any unclaimed step rewards are permanently lost once the next step reward becomes available. |
| rolling_skippable | Unlocks the next step reward every 24 hours based on |
| rolling_unskippable | Unlocks the next step reward every 24 hours based on |
Date when your daily reward starts.
Whether the daily reward is recurrent. If true, the daily reward will automatically reset after the end date. The next start_date and end_date schedule is based on the number of daily reward steps and the initial time set on start_date.
Date when your daily reward ends. Can be null. Setting the type calendar_hard will automatically set this date based on number of steps added, so you can leave this as null.
{ "id": 101, "name": "Active daily reward", "description": "Active daily reward description", "date_start": "2025-04-01T18:16:00+05:00", "date_end": "2025-04-03T18:16:00+05:00", "order": 1, "steps": [ { … }, { … }, { … }, { … } ], "type": "calendar_hard" }
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
- Mock serverhttps://xsolla.redocly.app/_mock/api/shop-builder/v2/project/{project_id}/user/daily_chain/{daily_chain_id}/step/number/{step_number}/claim
- https://store.xsolla.com/api/v2/project/{project_id}/user/daily_chain/{daily_chain_id}/step/number/{step_number}/claim
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/44056/user/daily_chain/101/step/number/1/claim \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'No content